import React from 'react';
import { IndexLink, Link } from 'react-router';
import { ROUTES } from '../../constants/const';
import './header.less';

export default class Header extends React.Component {
  shouldComponentUpdate() {
    return false;
  }

  render() {
    return (
      <header className="header clearfix">
        <span className="logo-title">
          <span className="logo" />
          <span className="title">china.mobile.cmss</span>
        </span>
        <ul className="menu clearfix">
          {
            ROUTES.map((route, index) => (
              <li className="menu-item" key={index}>
                {
                  route.isHome
                    ? <IndexLink to={route.path} activeClassName="active">{route.title}</IndexLink>
                    : <Link to={route.path} activeClassName="active">{route.title}</Link>
                }
              </li>
            ))}
        </ul>
        <div className="user-info">
          <span className="user-name">Admin</span>
          <a className="user-exit" href="javascript:;">退出</a>
        </div>
      </header>
    );
  }
}
