import React from 'react';
import ReactDOM from 'react-dom';
import { Provider } from 'react-redux';
import { Router, hashHistory } from 'react-router';
import 'index.html';
import 'whatwg-fetch';
import configureStore from './store/configureStore';
import rootRoute from './routes/index';

import './stylesheets/favicon.ico';
import './stylesheets/reset.less';

const env = process.env.NODE_ENV;
if (env.indexOf('mock') !== -1) {
  console.log('%c-----mock--------', 'color:blue');
  require('./mock/mock-data');
}

const store = configureStore();

ReactDOM.render(
  <Provider store={store}><Router history={hashHistory} routes={rootRoute} /></Provider>,
  document.getElementById('root'),
);
