import React from 'react';
import { connect } from 'react-redux';
import './home.less';
import * as actions from '../../actions/home';
import { NOTICES } from '../../constants/const';
import Notices from './notices';
import Technologies from './technologies';
import Technology from './technology';

class Home extends React.Component {
  componentDidMount() {
    const { getTechnologies } = this.props;
    getTechnologies(1);
  }

  render() {
    const {
      technologies,
      technology,
      technologyCurrent,
      isTechnologiesFetching,
      isTechnologyFetching,
      getTechnology,
    } = this.props;
    return (
      <div className="home-wrapper">
        <div className="title">欢迎使用!</div>
        <Notices {...{ notices: NOTICES }} />
        <Technologies
          {...{
            technologies,
            technologyCurrent,
            onTechClick: getTechnology,
            loading: isTechnologiesFetching,
          }}
        >
          <p className="tip">——Talk is cheap. Show me the code</p>
        </Technologies>
        <Technology {...{ technology, loading: isTechnologyFetching }} />
      </div>
    );
  }
}
const mapStateToProps = state => state.home;
module.exports = connect(mapStateToProps, actions)(Home);
